Bug 809363 - [abrt] totem-mozplugin-3.4.0-1.fc17: Process /usr/libexec/totem-plugin-viewer was killed by signal 11 (SIGSEGV)
[abrt] totem-mozplugin-3.4.0-1.fc17: Process /usr/libexec/totem-plugin-viewer...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:637694b6aff1a2412d5407f01a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 04:12 EDT by Peter Robinson
Modified: 2013-07-31 16:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:25:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.60 KB, text/plain)
2012-04-03 04:12 EDT, Peter Robinson
no flags Details
File: maps (66.56 KB, text/plain)
2012-04-03 04:12 EDT, Peter Robinson
no flags Details
File: dso_list (14.96 KB, text/plain)
2012-04-03 04:13 EDT, Peter Robinson
no flags Details
File: build_ids (5.81 KB, text/plain)
2012-04-03 04:13 EDT, Peter Robinson
no flags Details

  None (edit)
Description Peter Robinson 2012-04-03 04:12:51 EDT
libreport version: 2.0.10
abrt_version:   2.0.9
backtrace_rating: 4
cmdline:        /usr/libexec/totem-plugin-viewer --plugin-type vegas --user-agent Totem/3.4.0 --referrer https://mail.google.com/mail/?ui=2&view=bsp&ver=ohhl4rw8mbn4 --mimetype application/x-shockwave-flash
comment:        I have no idea why totem is trying to play flash types. I don't have any flash plugin enabled so likely it might be the default but it doesn't really make much sense if it can't do the full flash experience.
crash_function: _clutter_input_device_reset_axes
executable:     /usr/libexec/totem-plugin-viewer
kernel:         3.3.0-8.fc17.x86_64
pid:            2120
pwd:            /home/perobinson
remote_result:  NOTFOUND
time:           Tue 03 Apr 2012 08:51:40 BST
uid:            501
username:       perobinson
xsession_errors: 

backtrace:      Text file, 26217 bytes
build_ids:      Text file, 5945 bytes
dso_list:       Text file, 15321 bytes
maps:           Text file, 68158 bytes

core_backtrace:
:66a14a73e841ee8801a6f0a9bf85329a3457e92a 0x7d454 - libclutter-1.0.so.0 -
:66a14a73e841ee8801a6f0a9bf85329a3457e92a 0x3896d - libclutter-1.0.so.0 -
:66a14a73e841ee8801a6f0a9bf85329a3457e92a 0x61b6c - libclutter-1.0.so.0 -
:66a14a73e841ee8801a6f0a9bf85329a3457e92a 0x32ff2 clutter_x11_handle_event libclutter-1.0.so.0 -
:c50b6cf63f265505680f55590f7d198587ef2191 0x6ef0 - libclutter-gtk-1.0.so.0 -
:f6f9d852c0bacf98c55190befce168c4d40f7bd2 0x48e61 - libgdk-3.so.0 -
:f6f9d852c0bacf98c55190befce168c4d40f7bd2 0x49037 - libgdk-3.so.0 -
:f6f9d852c0bacf98c55190befce168c4d40f7bd2 0x1fd11 gdk_display_get_event libgdk-3.so.0 -
:f6f9d852c0bacf98c55190befce168c4d40f7bd2 0x48d72 - libgdk-3.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x475bc g_main_context_dispatch libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x479d8 - libglib-2.0.so.0 -
:fa109822e1dfe3c97963318f0a110695ed11430d 0x47dd2 g_main_loop_run libglib-2.0.so.0 -
:df2fcf998250578cb1cab52a897fcb873380b82b 0x179235 gtk_main libgtk-3.so.0 -
:872221af982b4b7001e6dd3ba0c6de6102a931d9 0x11d7f main [exe] -

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:XDG_SESSION_ID=2
:HOSTNAME=neo.roving-it.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=1998
:GPG_AGENT_INFO=/home/perobinson/.cache/keyring-f3SAxk/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=5a3d0f051d91f77357c1162e00000021-1333377544.998650-338717969
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/home/perobinson/.cache/keyring-f3SAxk
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:IMSETTINGS_MODULE=none
:USER=perobinson
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox:/usr/lib64/xulrunner-2
:SSH_AUTH_SOCK=/home/perobinson/.cache/keyring-f3SAxk/ssh
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1401,unix/unix:/tmp/.ICE-unix/1401
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/firefox.desktop
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:MAIL=/var/spool/mail/perobinson
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/perobinson/bin
:DESKTOP_SESSION=gnome
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/home/perobinson
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1392
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:XSUNSMESIZE=512
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/perobinson
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=perobinson
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lQdJkUGuuJ,guid=06174726371c5affbe5cf54500000053
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/perobinson
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-perobinson-syT70q/database
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/perobinson/.mozilla/firefox/Crash Reports'
:MOZ_LAUNCHED_CHILD=
:ORBIT_SOCKETDIR=/tmp/orbit-perobinson
:XRE_PROFILE_PATH=
:XRE_PROFILE_LOCAL_PATH=
:XRE_PROFILE_NAME=
:XRE_START_OFFLINE=
:NO_EM_RESTART=
:XUL_APP_FILE=
:XRE_BINARY_PATH=

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29855                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29855                29855                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[32897]
:pos:	0
:flags:	00
:1:/home/perobinson/.xsession-errors
:pos:	20468
:flags:	0102002
:2:/home/perobinson/.xsession-errors
:pos:	20468
:flags:	0102002
:3:socket:[31370]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[31373]
:pos:	0
:flags:	02004002
:6:/dev/dri/card0
:pos:	0
:flags:	0100002
:7:socket:[30229]
:pos:	0
:flags:	02004002
:8:socket:[33031]
:pos:	0
:flags:	04002
:9:socket:[33032]
:pos:	0
:flags:	04002
:10:socket:[30294]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Apr  3 08:51:40 neo abrt[6172]: Saved core dump of pid 2120 (/usr/libexec/totem-plugin-viewer) to /var/spool/abrt/ccpp-2012-04-03-08:51:40-2120 (80502784 bytes)
:Apr  3 08:51:40 neo abrt[6171]: Saved core dump of pid 2111 (/usr/libexec/totem-plugin-viewer) to /var/spool/abrt/ccpp-2012-04-03-08:51:40-2111 (80502784 bytes)
:Apr  3 08:51:40 neo abrt[6173]: Saved core dump of pid 2707 (/usr/libexec/totem-plugin-viewer) to /var/spool/abrt/ccpp-2012-04-03-08:51:40-2707 (79851520 bytes)
Comment 1 Peter Robinson 2012-04-03 04:12:56 EDT
Created attachment 574774 [details]
File: backtrace
Comment 2 Peter Robinson 2012-04-03 04:12:58 EDT
Created attachment 574775 [details]
File: maps
Comment 3 Peter Robinson 2012-04-03 04:13:00 EDT
Created attachment 574776 [details]
File: dso_list
Comment 4 Peter Robinson 2012-04-03 04:13:02 EDT
Created attachment 574777 [details]
File: build_ids
Comment 5 Victor Costan 2012-04-09 18:34:32 EDT
After installing the totem-mozplugin package, totem seems to have registered as a player for Flash files. I have Adobe's Flash plugin installed, and yet totem-mozplugin made totem the default player for .swf files.
Comment 6 Victor Costan 2012-04-09 18:36:49 EDT
Uninstalling totem-mozplugin made the problem go away.
Comment 7 Peter Robinson 2012-05-03 07:21:37 EDT
playing youtube

backtrace_rating: 4
Package: totem-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Steve 2012-06-05 18:32:21 EDT
watching a video

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Caio A Rezende 2012-06-06 00:13:13 EDT
I just plugged a mouse and keyboard in the usb

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Caio A Rezende 2012-06-12 13:04:44 EDT
It happened when I plugged a usb mouse and keyboard

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Caio A Rezende 2012-06-12 21:47:36 EDT
The bug happened when I just plugged the usb mouse now...

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 James 2012-06-18 13:12:43 EDT
Turned on my Bluetooth mouse. Happens sporadically, have seen it with attachment of other (non-Bluetooth, e.g. USB) devices.

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Richard Neumann 2012-07-03 11:14:06 EDT
I moved the mouse while watching Big Buck Bunny in full screen mode.

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 John Slade 2012-07-08 05:40:49 EDT
Closing totem after playing a video

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Sergio Losilla 2012-07-17 09:01:24 EDT
Connecting or disconnecting USB sound device while playing DVD caused totem to crash.

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Patryk Obara 2012-07-23 10:03:37 EDT
Plugged in mouse into usb while watching a movie.

backtrace_rating: 4
Package: totem-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Fedora End Of Life 2013-07-03 16:27:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-07-31 16:26:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.